LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces | Functions
component_context.hxx File Reference
`#include <com/sun/star/uno/XComponentContext.hpp>`
`#include <com/sun/star/lang/XSingleComponentFactory.hpp>`
`#include <cppuhelper/cppuhelperdllapi.h>`

Go to the source code of this file.

## Classes
struct | cppu::ContextEntry_Init
| Context entries init struct calling createComponentContext(). More...

## Namespaces
| cppu

## Functions
CPPUHELPER_DLLPUBLIC::com::sun::star::uno::Reference < ::com::sun::star::uno::XComponentContext > | cppu::createComponentContext (ContextEntry_Init const *pEntries, sal_Int32 nEntries,::com::sun::star::uno::Reference< ::com::sun::star::uno::XComponentContext > const &xDelegate=::com::sun::star::uno::Reference< ::com::sun::star::uno::XComponentContext >()) SAL_THROW(())
| Creates a component context with the given entries. More...